Subject: RE: [Sigtran] M3UA: Dynamic routing Key modification

From: "Wung, Joseph" <[email-masked]>
Date: Mon, 29 Jul 2002 10:08:11 -0400

Ken,

So are you saying that deregitering circuits that might result
in blocking the traffic to other circuit ranges in the same AS
is NOT an issue according to the current "final" versio of M3UA?

Joe

-----Original Message-----
From: Ken Morneault [mailto:[email-masked]]
Sent: Monday, July 29, 2002 9:59 AM
To: Wung, Joseph; sigtran
Subject: RE: [Sigtran] M3UA: Dynamic routing Key modification

Joe,

The text you refer to in your original email is from
the "final" version of M3UA.  Thus, it contains the
resolution to this topic.

Regards,

Ken

At 09:19 AM 7/29/2002 -0400, Wung, Joseph wrote:
>Ken,
>
>I'm a relatively new subscriber to the M3UA mailing list, and
>thought this issue might have been discussed before.  Can you
>or someone sum up for me and other new subscribers what the 
>resolution was, that will go into the final version of M3UA?
>
>Thanks,
>Joe
>
>-----Original Message-----
>From: Ken Morneault [mailto:[email-masked]]
>Sent: Monday, July 29, 2002 9:08 AM
>To: Wung, Joseph; sigtran
>Subject: Re: [Sigtran] M3UA: Dynamic routing Key modification
>
>
>
>
>Joe,
>
>There was a long thread about this topic many months ago.  You should
>check the email archives.
>
>Regards,
>
>Ken
>
>At 09:00 AM 7/29/2002 -0400, Wung, Joseph wrote:
>>We seem to be lacking explicit Routing Key modification procedures.  
>>When it is needed to change an existing Routing Key, M3UA implies that 
>>the ASP first moves to the ASP-INACTIVE state, deregisters the Routing 
>>Key, waits for a DEREG RSP message, and registers with the SGP as an ASP 
>>within a new AS, i.e., the updated Routing Key.  These modification 
>>procedures present a few problems.  The entire range of signaling traffic 
>>specified by the original Routing Key is blocked from this ASP during 
>>the modification.  The registration of the new Routing Key later from 
>>this ASP may be rejected if one or more other ASPs continue to be 
>>associated with the original Routing Key.
>> 
>>The entire range of signaling traffic is blocked.  As an example, an ASP 
>>has a Routing Key that contains SI/DPC/OPC/CIC(1-10), and needs to remove 
>>only CIC 5 from the Key.  The ASP sends an ASP-INACTIVE message to the SGP

>>for this Routing Key. Then the SGP ceases delivering signaling traffic to 
>>the requesting ASP altogether that is related to CIC 1-10. Even though it 
>>is intended to delete CIC 5, the other circuits are also blocked from 
>>receiving traffic until they can be successfully registered again.
>>   
>>The new registration of CIC(1-4) and (6-10), using the same example above,

>>may not succeed.  Suppose one or more other ASPs are still associated with

>>the original CIC(1-10.)   The registration of CIC(1-4) and (6-10) will 
>>receive an Error message - "Cannot Support Unique Routing" before all
other
>>ASPs have deregistered the same key.
>>
>>Any suggestions on how to get around this problem?
>>
>>Joe
>>
>>_______________________________________________
>>Sigtran mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/sigtran 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 29 Jul 2002 10:16:11 -0600

Ken,

I disagree with you, and agree with Joseph.  Proper support for ISUP
requires the ability of M3UA to manage circuits.

I don't believe that this was resolved at all, but slipped through the
cracks.  I did look in the archives an there are two threads: on in May
of this year where Nitin asks why the proposal of Sep/Oct wasn't
included; and the "CIC registration" thread of Sep/Oct which includes
the proposal with no dissent.  In fact, John Loughney added the
pertinent text to SUA.

If you think that the final text represents concensus, you should
look back in the archives yourself.  This capabilty must be addressed
in the IG for M3UA to support ISUP.  A text proposal was given in the
Sep/Oct thread "CIC registration".  Please include it in the IG.

--brian

Wung, Joseph wrote:                               (Mon, 29 Jul 2002 10:08:11)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Ken Morneault <[email-masked]>
Date: Mon, 29 Jul 2002 13:26:23 -0400

Brian,

I did review that email and there was no indication of
consensus to add the proposal to M3UA.  As you note, 
John did agree to make the change for SUA.

Maybe you should repost your proposal for new 
discussion.

Regards,

Ken

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 29 Jul 2002 12:20:44 -0600

Ken,

Well, let's see.  Three people have asked for it since it was
proposed.  Nobody has disagreed with it since it was proposed.
I know that some have implemented proprietary mechanisms to
attempt to acheive the same end (to handle the defficiencies
for ISUP).

If anyone has a problem with adding it to the IG, perhaps they
could summarize their disagreement with the proposal.  You will
find the proposal text in the thread "CIC registration" from
Sep/Oct of last year.  I believe that it is on the archives for
all to see.  Otherwise, everyone talking on the matter in the
last year requesting this capability and noone dissenting can
surely be viewed as concensus.

--brian

Ken Morneault wrote:                                          (Mon, 29 Jul 2002 13:26:23)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/